
/*

    This file is a part of the GLASS source distribution 
    and therefore subjected to the copy notice below. 
    
    Copyright (C) 1989,1990  S.J. Klaver, R Doesborg
              email: simon@sagan.nl

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation version 1

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#include <stdio.h>
#include <tmc.h>
#include <curses.h>
#include "menuds.h"
#include "dprocs.h"
#include "handlemenu.h"
#include "gconst.h"
#include "handleparms.h"

int main (argc, argv, envp)
  int argc;
  char **argv, **envp;
{
  gluefile gl;        /* data structure for storing menu + parms */
  FILE *infile;
  int key, i;
  bool inshell;
  char *str;
  
  if (strcmp(argv[1],"-csh") == 0) inshell = FALSE; else inshell = TRUE;
  infile = fopen("menu.dat", "r");
  if (infile != NULL)
    if (fscan_gluefile(infile, &gl) == 1) {
      printf("Errors during compilation of menu description\n");
      return(1);
    };
  fclose(infile);
  init_screen();
  for (i=0; i<1; i++) {
    handle_parms(gl, 12, PARMLINE);
    refresh ();
    system("rm setpars");
    parms_to_file (gl, 12, "setpars", inshell);
    system ("chmod +x setpars");
  }
  endwin();
}
